> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lighton.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List all agents

> Get a paginated list of agents (ChatSettings) accessible to the user. Access control: Sys-admin users can access all agents from all companies. Company admin users can access all agents from their company. Regular users can only access agents linked to groups they belong to.



## OpenAPI

````yaml /api-reference/openapi-v3.yaml get /api/v3/agents
openapi: 3.0.3
info:
  title: Paradigm API
  version: xenial-xerus (v3)
  description: >-
    A versatile and adaptable tool designed to integrate Generative AI into your
    applications
servers:
  - url: https://paradigm.lighton.ai
security: []
tags:
  - name: Agents
    description: Operations about agents
  - name: Threads
    description: Operations about agents conversation threads
  - name: Tools
    description: Operations about native tools
  - name: Models
    description: Operations about AI models
  - name: MCP
    description: Operations about MCP servers
  - name: Sources
    description: Operations about sources used by agents conversation threads
  - name: Artifacts
    description: Operations about artifacts generated by agents conversation threads
  - name: Agent
    description: >-
      Operations about agents (deprecated). Please use the 'Agents' API
      component instead.
  - name: Files
    description: Operations about files
  - name: Files Processing
    description: Operations about files processing
  - name: Tags
    description: Operations about tags
  - name: Workspaces
    description: Operations about workspaces
  - name: Users
    description: Operations about users
  - name: User Groups
    description: Operations about user groups
  - name: Companies
    description: Operations about companies
  - name: SCIM
    description: Operations about SCIM
paths:
  /api/v3/agents:
    get:
      tags:
        - Agents
      summary: List all agents
      description: >-
        Get a paginated list of agents (ChatSettings) accessible to the user.
        Access control: Sys-admin users can access all agents from all
        companies. Company admin users can access all agents from their company.
        Regular users can only access agents linked to groups they belong to.
      operationId: api_v3_agents_retrieve
      parameters:
        - in: query
          name: company_id
          schema:
            type: integer
          description: >-
            Filter agents by company ID. Sys-admins can filter by any company
            ID. Company admins and regular users can only filter by their own
            company ID.
        - in: query
          name: group_id
          schema:
            type: integer
          description: Filter agents by group ID
        - in: query
          name: is_current_user_favorite
          schema:
            type: string
          description: >-
            Filter agents by favorite status. Accepted values: 'true', 'false',
            '1', '0', 'yes', 'no'
        - in: query
          name: is_default
          schema:
            type: string
          description: >-
            Filter agents by is_default status. Accepted values: 'true',
            'false', '1', '0', 'yes', 'no'
        - in: query
          name: name
          schema:
            type: string
          description: Filter agents by name (prefix search, case-insensitive)
        - in: query
          name: page
          schema:
            type: integer
          description: Page number for pagination
        - in: query
          name: page_size
          schema:
            type: integer
          description: 'Number of results per page (default: 50, max: 100)'
        - in: query
          name: user_id
          schema:
            type: integer
          description: >-
            Filter agents by user ID - returns agents linked to groups of which
            the specified user is a member. Sys-admins can filter by any user
            ID. Company admins can only filter by user IDs of users inside their
            company. Regular users can only filter by their own user ID.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentListResponseSchema'
          description: ''
        '400':
          content:
            application/json:
              schema:
                description: Invalid query parameters
          description: ''
        '403':
          content:
            application/json:
              schema:
                description: Permission denied for company_id or user_id filter
          description: ''
      security:
        - bearerAuth: []
components:
  schemas:
    AgentListResponseSchema:
      type: object
      properties:
        count:
          type: integer
        next:
          type: string
          nullable: true
        previous:
          type: string
          nullable: true
        results:
          type: array
          items:
            $ref: '#/components/schemas/AgentSchema'
      required:
        - count
        - next
        - previous
        - results
    AgentSchema:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        description:
          type: string
          nullable: true
        instructions:
          type: string
          nullable: true
        company:
          $ref: '#/components/schemas/CompanySchema'
        group:
          $ref: '#/components/schemas/GroupSchema'
        workspaces:
          type: array
          items:
            $ref: '#/components/schemas/WorkspaceSchema'
        tools:
          $ref: '#/components/schemas/AgentToolsSchema'
        is_default:
          type: boolean
        ownership:
          type: string
        scope_workspaces_by_group:
          type: boolean
        scoped_workspace_ids:
          type: array
          items:
            type: integer
        is_current_user_favorite:
          type: boolean
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - company
        - created_at
        - description
        - group
        - id
        - instructions
        - is_current_user_favorite
        - is_default
        - name
        - ownership
        - scope_workspaces_by_group
        - scoped_workspace_ids
        - tools
        - updated_at
        - workspaces
    CompanySchema:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        allow_ephemeral_mode:
          type: boolean
        is_sharing_enabled:
          type: boolean
      required:
        - allow_ephemeral_mode
        - id
        - is_sharing_enabled
        - name
    GroupSchema:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
      required:
        - id
        - name
    WorkspaceSchema:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        category:
          type: string
        file_count:
          type: integer
        summaries:
          type: array
          items:
            $ref: '#/components/schemas/WorkspaceSummarySchema'
          default: []
      required:
        - category
        - file_count
        - id
        - name
    AgentToolsSchema:
      type: object
      properties:
        native:
          type: array
          items:
            $ref: '#/components/schemas/NativeToolSchema'
        mcp_servers:
          type: array
          items:
            $ref: '#/components/schemas/MCPServerSchema'
      required:
        - mcp_servers
        - native
    WorkspaceSummarySchema:
      type: object
      properties:
        language:
          type: string
        summary:
          type: string
      required:
        - language
        - summary
    NativeToolSchema:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        object:
          type: string
          default: tool
      required:
        - id
        - name
    MCPServerSchema:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        object:
          type: string
          default: mcp_server
      required:
        - id
        - name
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is your auth token.

````